<template>
    <div>
        <transaction :data="data"/>
    </div>
</template>

<script>
import Transaction from '~/components/shared/Transaction';

export default {
  name: 'Withdrawals',
  layout: 'ExchangeLayout',
  asyncData ({ redirect }) {
    //return redirect('/user/profile');
  },
    components: {
      Transaction
    },
    data() {
        return {
          data: { 
            action: 'Withdraw',
            title: 'Withdraws',
            header: 'Withdrawal Transactions',
            currency: 'KRW',
            amount: '7,100,0000.11',
            bankMethods: [
              {
                name: 'Korean Bank Transfer',
              },
              {
                name: 'Blockchain',
              },
              {
                name: 'Skrill',
              }
            ],
            currentPage: 1,
            rows: 100,
            perPage: 10,
            paymentMethod: null,
            headers: [
              {
                key: 'Date',
                class: '',
                width: ''             
              },
              {
                key: 'Currency',
                class: '',
                width: ''              
              },
              {
                key: 'Amount',
                class: '',
                width: ''               
              },
              {
                key: 'MOP',
                class: '',
                width: ''               
              },
              {
                key: 'Bank',
                class: '',
                width: ''               
              },
              {
                key: 'Account Name',
                class: '',
                width: ''               
              },
              {
                key: 'Account Number',
                class: '',
                width: ''               
              },
              {
                key: 'Status',
                class: '',
                width: ''               
              }
            ],
            items: [
              {
                columns: [
                  {
                    class: '',
                    value: '13:03:53'
                  },
                  {
                    class: '',
                    value: 'mBTC'
                  },
                  {
                    class: '',
                    value: 0.2155045
                  },
                  {
                    class: '',
                    value: 'BLOCKCHAIN'
                  },
                  {
                    class: '',
                    value: 'BLOCKCHAIN'
                  },
                  {
                    class: '',
                    value: 'Coinpayments'
                  },
                  {
                    class: '',
                    value: '37MofWvG5ouVFsgqGLZ7ayyJxs9st9W7Qw'
                  },
                  {
                    class: 'bold-text',
                    value: 'PENDING'
                  }
                ]
              },
              {
                columns: [
                  {
                    class: '',
                    value: '13:03:53'
                  },
                  {
                    class: '',
                    value: 'mBTC'
                  },
                  {
                    class: '',
                    value: 0.2155045
                  },
                  {
                    class: '',
                    value: 'BLOCKCHAIN'
                  },
                  {
                    class: '',
                    value: 'BLOCKCHAIN'
                  },
                  {
                    class: '',
                    value: 'Coinpayments'
                  },
                  {
                    class: '',
                    value: '37MofWvG5ouVFsgqGLZ7ayyJxs9st9W7Qw'
                  },
                  {
                    class: 'bold-text',
                    value: 'PENDING'
                  }
                ]
              },
              {
              columns: [
                {
                  class: '',
                  value: '13:03:53'
                },
                {
                  class: '',
                  value: 'KRW'
                },
                {
                  class: '',
                  value: 0.2155045
                },
                {
                  class: '',
                  value: 'BLOCKCHAIN'
                },
                {
                  class: '',
                  value: 'BLOCKCHAIN'
                },
                {
                  class: '',
                  value: 'Coinpayments'
                },
                {
                  class: '',
                  value: '37MofWvG5ouVFsgqGLZ7ayyJxs9st9W7Qw'
                },
                {
                  class: 'bold-text',
                  value: 'PENDING'
                }
              ]
            }
          ]
        }
    }
  }
}
</script>